#!/bin/sh
export PATH="/mnt/utmp/timidity/bin:${PATH:-"/usr/bin:/bin:/usr/local/bin"}"
export LD_LIBRARY_PATH=":${LD_LIBRARY_PATH:-"/usr/lib:/lib"}"
export HOME="/mnt/utmp/timidity" XDG_CONFIG_HOME="/mnt/utmp/timidity"

if [ -d /mnt/utmp/timidity/share ];then
	export XDG_DATA_DIRS=/mnt/utmp/timidity/share:$XDG_DATA_DIRS:/usr/share
fi
export SDL_AUDIODRIVER="alsa"
cd $HOME
[ -e "$HOME/scripts/pre_script.sh" ] && . $HOME/scripts/pre_script.sh
if [ -e "$HOME/scripts/post_script.sh" ];then
	./bin/timidity $*
	. $HOME/scripts/post_script.sh
else
	exec ./bin/timidity -iA -Os -EFreverb=0 -EFchorus=0 -EFresamp=1 $*
fi
